-- CREATE DATABASE IF NOT EXISTS northwind_new;

CREATE TABLE IF NOT EXISTS public.fact_part_orders (
     order_id INTEGER
,    order_nk integer
,    customer_id integer
,    employee_id integer
,    ship_via_id integer
,    ship_address_id integer
,    product_id integer
,    order_date_id integer
,    required_date_id integer
,    shipped_date_id integer
,    unit_price double precision
,    quantity integer
,    discount numeric
,    freight numeric
,    total_amount numeric
,    total_discount numeric
,    net_amount numeric
);

CREATE TABLE IF NOT EXISTS public.dim_shipment_addresses (
     ship_address_id INTEGER
,    name VARCHAR(255)
,    address VARCHAR(255)
,    city VARCHAR(255)
,    region VARCHAR(255)
,    postal_code VARCHAR(255)
,    country VARCHAR(255)
);

CREATE TABLE IF NOT EXISTS public.dim_customers (
     customer_id INTEGER
,    customer_nk VARCHAR(255)
,    company_name VARCHAR(255)
,    contact_name VARCHAR(255)
,    contact_title VARCHAR(255)
,    address VARCHAR(255)
,    city VARCHAR(255)
,    region VARCHAR(255)
,    postal_code VARCHAR(255)
,    country VARCHAR(255)
,    phone VARCHAR(255)
,    fax VARCHAR(255)
);

CREATE TABLE IF NOT EXISTS public.dim_employees (
     employee_id INTEGER
,    employee_nk integer
,    reports_to_id integer
,    last_name VARCHAR(255)
,    first_name VARCHAR(255)
,    title VARCHAR(255)
,    title_of_courtesy VARCHAR(255)
,    birth_date date
,    hire_date date
,    address VARCHAR(255)
,    city VARCHAR(255)
,    region VARCHAR(255)
,    postal_code VARCHAR(255)
,    country VARCHAR(255)
,    home_phone VARCHAR(255)
,    extension VARCHAR(255)
);

CREATE TABLE IF NOT EXISTS public.dim_shippers (
     shipper_id INTEGER
,    shipper_nk integer
,    company_name VARCHAR(255)
,    phone VARCHAR(255)
);

CREATE TABLE IF NOT EXISTS public.dim_products (
     product_id INTEGER
,    product_nk integer
,    product_name VARCHAR(255)
,    quantity_per_unit VARCHAR(255)
,    unit_price double precision
,    discontinued integer
,    category_name VARCHAR(255)
,    category_description VARCHAR(255)
,    category_picture TEXT
,    supplier_company_name VARCHAR(255)
,    supplier_contact_name VARCHAR(255)
,    supplier_contact_title VARCHAR(255)
,    supplier_address VARCHAR(255)
,    supplier_city VARCHAR(255)
,    supplier_region VARCHAR(255)
,    supplier_postal_code VARCHAR(255)
,    supplier_country VARCHAR(255)
,    supplier_phone VARCHAR(255)
,    supplier_fax VARCHAR(255)
);

CREATE TABLE IF NOT EXISTS public.dim_date (
     date_id INTEGER
,    calendar_year INTEGER
,    quarter_number INTEGER
,    quarter_name_short_en VARCHAR(255)
,    quarter_name_full_en VARCHAR(255)
,    month_number INTEGER
,    month_name_short_en VARCHAR(255)
,    month_name_full_en VARCHAR(255)
,    day_of_month INTEGER
,    day_of_year INTEGER
,    year_of_week_iso8601 INTEGER
,    week_of_year_iso8601 INTEGER
,    day_of_week INTEGER
,    day_of_week_short_en VARCHAR(255)
,    day_of_week_full_en VARCHAR(255)
,    is_weekend INTEGER
,    date_string VARCHAR(255)
,    date_value DATE
);
